%define upstream_name Dist-Zilla-Plugin-Prereqs-MatchInstalled
%define upstream_version 1.001003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Depend on versions of modules the same as you have installed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Module::Data)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Differences)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 1.1.6

BuildArch:	noarch

%description
This is based on the code of
"Dist::Zilla::Plugin::Author::KENTNL::Prereqs::Latest::Selective", but
intended for a wider audience.

    [Prereqs::MatchInstalled]
    module = My::Module

NOTE: Dependencies will only be upgraded to match the *Installed*
version if they're found elsewhere in the dependency tree.

This is designed so that it integrates with other automated version
provisioning.

If you're hard-coding module dependencies instead, you will want to
place this module *after* other modules that declare dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.3-5.mga10
+ Revision: 2203664
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.3-4.mga9
+ Revision: 1808990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1504110
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1283190
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.1.3-1.mga7
+ Revision: 1125972
- update to 1.001003

* Sun Jun 19 2016 pterjan <pterjan> 1.1.2-5.mga6
+ Revision: 1026546
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 948346
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 745135
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 1.1.2-1.mga5
+ Revision: 673182
- update to 1.001002

* Sun Sep 07 2014 sander85 <sander85> 1.1.1-1.mga5
+ Revision: 673141
- update to 1.001001

* Sat Aug 16 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 664117
- update to 1.000002

* Mon Jul 21 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 655062
- update to 1.000001

* Fri May 02 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 619557
- update to 1.000000

* Thu Feb 06 2014 sander85 <sander85> 0.1.6-1.mga5
+ Revision: 584488
- update to 0.1.6

* Mon Oct 21 2013 umeabot <umeabot> 0.1.4-2.mga4
+ Revision: 537209
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.1.4-1.mga4
+ Revision: 486563
- update to 0.1.4

* Wed Sep 25 2013 sander85 <sander85> 0.1.3-1.mga4
+ Revision: 485953
- update to 0.1.3

* Sun Sep 08 2013 sander85 <sander85> 0.1.2-1.mga4
+ Revision: 475887
- update to 0.1.2

* Thu Aug 08 2013 sander85 <sander85> 0.1.1-1.mga4
+ Revision: 464546
- update to 0.1.1

* Fri Aug 02 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 462666
- imported package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled

